org.apache.lucene.index

## Class AssertingLeafReader.AssertingRandomAccessOrds

- java.lang.Object
- - org.apache.lucene.index.SortedSetDocValues
  - - org.apache.lucene.index.RandomAccessOrds
    - - org.apache.lucene.index.AssertingLeafReader.AssertingRandomAccessOrds

- Enclosing class:
    AssertingLeafReader

      public static class AssertingLeafReader.AssertingRandomAccessOrds
      extends RandomAccessOrds

  Wraps a RandomAccessOrds but with additional asserts

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.SortedSetDocValues

      `NO_MORE_ORDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingLeafReader.AssertingRandomAccessOrds(RandomAccessOrds in, int maxDoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cardinality()`
    `long` | `getValueCount()`
    `BytesRef` | `lookupOrd(long ord)`
    `long` | `lookupTerm(BytesRef key)`
    `long` | `nextOrd()`
    `long` | `ordAt(int index)`
    `void` | `setDocument(int docID)`

    - ### Methods inherited from class org.apache.lucene.index.SortedSetDocValues

      `termsEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingLeafReader.AssertingRandomAccessOrds

          public AssertingLeafReader.AssertingRandomAccessOrds(RandomAccessOrds in,
                                                       int maxDoc)

  - ### Method Detail

    - #### nextOrd

          public long nextOrd()

      Specified by:
        `nextOrd` in class `SortedSetDocValues`

    - #### setDocument

          public void setDocument(int docID)

      Specified by:
        `setDocument` in class `SortedSetDocValues`

    - #### lookupOrd

          public BytesRef lookupOrd(long ord)

      Specified by:
        `lookupOrd` in class `SortedSetDocValues`

    - #### getValueCount

          public long getValueCount()

      Specified by:
        `getValueCount` in class `SortedSetDocValues`

    - #### lookupTerm

          public long lookupTerm(BytesRef key)

      Overrides:
        `lookupTerm` in class `SortedSetDocValues`

    - #### ordAt

          public long ordAt(int index)

      Specified by:
        `ordAt` in class `RandomAccessOrds`

    - #### cardinality

          public int cardinality()

      Specified by:
        `cardinality` in class `RandomAccessOrds`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.